//==============================================================================
// STRING.H - string support
//
// Version 0.1 - Work in Progress
//
// Major Contributers: Kurt Eckhardt 
// 		Robert V Mahoney Jr
// 
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//==============================================================================
#ifndef _STRING_H_
#define _STRING_H_

#ifdef __cplusplus
extern "C" {
#endif

extern char *itoa (u32 _plvalue, char *psresult, u8 _bbase);
extern char *strrev (char *_pstr);
extern char *strcpy (char *_psdest, char *_pssource);
extern char *strcat (char *_psdest, char *_pssource);
extern u32 strlen (char *_pstr);
extern void strpad (char *_pstr, char _cpad, u16 _wpadlength);
extern bool FCompareMem(const char *pb1, const char *pb2, unsigned char cb);
extern void CopyMem(char *pb1, char *pb2, unsigned char cb);
#ifdef __cplusplus
}
#endif
#endif /* _STRING_H_ */

