#include "globals.h"


#ifdef USEINT_IRQ_0
extern "C" void IRQ_0() __attribute__ ((interrupt_handler));
extern "C" void IRQ_0()
{
}
#endif

#ifdef USEINT_IRQ_1
extern "C" void IRQ_1() __attribute__ ((interrupt_handler));
extern "C" void IRQ_1()
{
}
#endif

#ifdef USEINT_IRQ_2
extern "C" void IRQ_2() __attribute__ ((interrupt_handler));
extern "C" void IRQ_2()
{
}
#endif

#ifdef USEINT_IRQ_3
extern "C" void IRQ_3() __attribute__ ((interrupt_handler));
extern "C" void IRQ_3()
{
}
#endif

#ifdef USEINT_WKP
extern "C" void WKP() __attribute__ ((interrupt_handler));
extern "C" void WKP()
{
}
#endif

#ifdef USEINT_NOT_FROM_LIB
extern "C" void TIMERAV() __attribute__ ((interrupt_handler));
extern "C" void TIMERAV()
{
	toggle(P6);			
	lTimerCnt += 256;		// increment our counter TCA is the low order byte so increment past it...
	IRR1.BIT.IRRTA = 0;		// clear out the overflow flag
}
#endif


#ifdef USEINT_NOT_FROM_LIB
extern "C" void TIMERW() __attribute__ ((interrupt_handler));
extern "C" void TIMERW()
{
}
#endif

#ifdef USEINT_TIMERV
extern "C" void TIMERV() __attribute__ ((interrupt_handler));
extern "C" void TIMERV()
{
}
#endif


#ifdef USEINT_NOT_FROM_LIB
#ifdef USEINT_SCI3
// Moved to HSIO.cpp
//extern "C" void SCI3INT() __attribute__ ((interrupt_handler));
//extern "C" void SCI3INT()
//{
//}
#endif
#endif

#ifdef USEINT_IIC
extern "C" void IIC() __attribute__ ((interrupt_handler));
extern "C" void IIC()
{
}
#endif

#ifdef USEINT_ADCONV
extern "C" void ADCONV() __attribute__ ((interrupt_handler));
extern "C" void ADCONV()
{
}
#endif

#ifdef USEINT_NOT_FROM_LIB
#ifdef USEINT_TIMERZ0
extern "C" void TIMERZ0() __attribute__ ((interrupt_handler));
extern "C" void TIMERZ0()
{
}
#endif

#ifdef USEINT_TIMERZ1
extern "C" void TIMERZ1() __attribute__ ((interrupt_handler));
extern "C" void TIMERZ1()
{
}
#endif

#ifdef USEINT_TIMERB1
extern "C" void TIMERB1() __attribute__ ((interrupt_handler));
extern "C" void TIMERB1()
{
}
#endif

#ifdef USEINT_SCI3_2
extern "C" void SCI3_2() __attribute__ ((interrupt_handler));
extern "C" void SCI3_2()
{
}
#endif
#endif

#ifdef USE_UNHANDLED_INTS
u32 IDBG_ER6;
extern "C" void DebugMemoryDump(const byte* , int, int);

extern "C" void UNKNOWN_INT() __attribute__ ((interrupt_handler));
extern "C" void UNKNOWN_INT()
{
	if (g_fDBGHandleError)
	{
		g_fDBGHandleError = false;	// Don't handle again...

	
		asm ("mov.l	er6,@_IDBG_ER6");

		DBGPrintf("\r\rUnhandled error: %x %x %x Debug stack FP: %lx \r", IENR1.BYTE, IRR1.BYTE, IWPR.BYTE, IDBG_ER6);
		
		// OK lets dump stack memory
		DebugMemoryDump((byte*)(u16)(IDBG_ER6 &0xffff) , 0, 0xff80-IDBG_ER6);
	}
	// in the end punt back to start...
	asm("jmp @_start");

}
#endif

